Show / Hide Table of Contents

# Class GuildEmbedProperties

Provides properties that are used to modify the widget of an IGuild with the specified changes.

##### Inheritance

System.Object
GuildEmbedProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class GuildEmbedProperties

### Properties

| Improve this Doc View Source

#### Channel

Sets the channel that the invite should place its users in, if not `null`.

##### Declaration

    public Optional<IChannel> Channel { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<IChannel> |

| Improve this Doc View Source

#### ChannelId

Sets the channel the invite should place its users in, if not `null`.

##### Declaration

    public Optional<ulong?> ChannelId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<System.UInt64>> |

| Improve this Doc View Source

#### Enabled

Sets whether the widget should be enabled.

##### Declaration

    public Optional<bool> Enabled { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Boolean> |